Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class GLRowsDivideR
    Inherits BaseObject

    Private _GLRowsDivideH As GLRowsDivideH
    Private _ChartOfAccounts As ChartOfAccounts
    Private _CreditChartOfAccounts As ChartOfAccounts
    Private _DebitChartOfAccounts As ChartOfAccounts
    Private _CashType As eCashType
    Private _PartnerType As ePartnerType
    Private _Customers As Customers
    Private _ConnectInfo As String

    'Jelölő adatok ...
    Private _Controlling As Controlling
    Private _CostHolder As CostHolder
    Private _CostPlace As CostPlace
    Private _UniqueObjects As UniqueObjects
    Private _JobNumberObjects As JobNumberObjects

    Private _NoteRows As String
    Private _AmountHUF As Double
    Private _AmountDEV As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Association("GLRowsDivideH-GLRowsDivideR", GetType(GLRowsDivideH))> _
    Property GLRowsDivideH As GLRowsDivideH
        Get
            Return _GLRowsDivideH
        End Get
        Set(value As GLRowsDivideH)
            SetPropertyValue("GLRowsDivideH", _GLRowsDivideH, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("IsParent=False")>
    Property ChartOfAccounts As ChartOfAccounts
        Get
            Return _ChartOfAccounts
        End Get
        Set(value As ChartOfAccounts)
            SetPropertyValue("ChartOfAccounts", _ChartOfAccounts, value)
        End Set
    End Property
    Property CreditChartOfAccounts As ChartOfAccounts
        Get
            Return _CreditChartOfAccounts
        End Get
        Set(value As ChartOfAccounts)
            SetPropertyValue("CreditChartOfAccounts", _CreditChartOfAccounts, value)
        End Set
    End Property
    Property DebitChartOfAccounts As ChartOfAccounts
        Get
            Return _DebitChartOfAccounts
        End Get
        Set(value As ChartOfAccounts)
            SetPropertyValue("DebitChartOfAccounts", _DebitChartOfAccounts, value)
        End Set
    End Property
    Property CashType As eCashType
        Get
            Return _CashType
        End Get
        Set(value As eCashType)
            SetPropertyValue("CashType", _CashType, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property ConnectInfo As String
        Get
            Return _ConnectInfo
        End Get
        Set(value As String)
            SetPropertyValue("ConnectInfo", _ConnectInfo, value)
        End Set
    End Property

    <ImmediatePostData(True), DataSourceCriteria("IsParent=False")>
    Property Controlling As Controlling
        Get
            Return _Controlling
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling", _Controlling, value)
        End Set
    End Property
    Property CostHolder As CostHolder
        Get
            Return _CostHolder
        End Get
        Set(value As CostHolder)
            SetPropertyValue("CostHolder", _CostHolder, value)
        End Set
    End Property
    Property CostPlace As CostPlace
        Get
            Return _CostPlace
        End Get
        Set(value As CostPlace)
            SetPropertyValue("CostPlace", _CostPlace, value)
        End Set
    End Property
    Property UniqueObjects As UniqueObjects
        Get
            Return _UniqueObjects
        End Get
        Set(value As UniqueObjects)
            SetPropertyValue("UniqueObjects", _UniqueObjects, value)
        End Set
    End Property
    Property JobNumberObjects As JobNumberObjects
        Get
            Return _JobNumberObjects
        End Get
        Set(value As JobNumberObjects)
            SetPropertyValue("JobNumberObjects", _JobNumberObjects, value)
        End Set
    End Property

    <Size(255)> _
    Property NoteRows As String
        Get
            Return _NoteRows
        End Get
        Set(value As String)
            SetPropertyValue("NoteRows", _NoteRows, value)
        End Set
    End Property
    Property AmountHUF As Double
        Get
            Return _AmountHUF
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF", _AmountHUF, value)
        End Set
    End Property
    Property AmountDEV As Double
        Get
            Return _AmountDEV
        End Get
        Set(value As Double)
            SetPropertyValue("AmountDEV", _AmountDEV, value)
        End Set
    End Property
End Class
